<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Activation extends Model {
    protected array $dates = [ 'activation_date' ];

    public function licenseKey(): BelongsTo {
        return $this->belongsTo( LicenseKey::class );
    }
}
